package com.p3p.serialfiletransfer.packets;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class FileStreamPacket {
	public long count = 0;
	public int length;
	public byte data[] ;
	public static int chunksize = 128;
	byte type = 3;
	
	public FileStreamPacket(int count, byte[] data, int length){
		this.count = count;
		this.data = data.clone();
		this.length = length;
	}
	
	public byte[] encodePacket(){
		ByteBuffer buffer = ByteBuffer.allocate(chunksize + 4);
		buffer.order(ByteOrder.LITTLE_ENDIAN);
		buffer.put(type);
		buffer.putShort((short)((int)(count) & 0xFFFF));
		buffer.put((byte)length);
		buffer.put(data);
		return buffer.array();
	}
}
